%define  upstream_name PHPUnit_Selenium
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Name:		php-pear-%{upstream_name}
Version:	1.3.3
Release:	%mkrel 7
Summary:	Selenium RC integration for PHPUnit
License:	BSD
Group:		Development/PHP
URL:		http://pear.phpunit.de/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
BuildRequires:	php-pear > 1.4.7
BuildRequires:  php-pear >= 1.4.7
BuildRequires:	php-channel-phpunit
Requires(post):	php-pear >= 1.4.7
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-channel-phpunit
Requires:	php-pear-PHPUnit >= 3.7.0
BuildArch:	noarch

%description
Selenium Server integration for PHPUnit

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHPUnit_Selenium.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHPUnit_Selenium.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/PHPUnit_Selenium
fi

%files
%doc docs/PHPUnit_Selenium/*
%{peardir}/*
%{xmldir}/PHPUnit_Selenium.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.3.3-7.mga8
+ Revision: 1499155
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.3.3-6.mga7
+ Revision: 1273776
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 1.3.3-5.mga6
+ Revision: 935953
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.3-4.mga5
+ Revision: 745639
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.3.3-3.mga5
+ Revision: 734163
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.3-2.mga5
+ Revision: 687417
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 spuhler <spuhler> 1.3.3-1.mga5
+ Revision: 638566
+ rebuild (emptylog)

* Mon Oct 21 2013 umeabot <umeabot> 1.3.2-2.mga4
+ Revision: 538635
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 spuhler <spuhler> 1.3.2-1.mga4
+ Revision: 490128
- upgrade to vers. 1.3.2

* Tue Jun 04 2013 spuhler <spuhler> 1.3.1-1.mga4
+ Revision: 436835
- upgrade to ver. 1.3.1
- pearized spec file
- update (Build)Requires per upstream
- removed Conflicts:php-pear-PHPUnit < 3.6.10-1

* Sun Jan 13 2013 umeabot <umeabot> 1.2.7-2.mga3
+ Revision: 377136
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 30 2012 spuhler <spuhler> 1.2.7-1.mga3
+ Revision: 275864
- upgrade to 1.2.7

* Wed Apr 04 2012 dmorgan <dmorgan> 1.2.3-2.mga2
+ Revision: 228318
- Add conflict to ease upgrade

* Mon Feb 27 2012 spuhler <spuhler> 1.2.3-1.mga2
+ Revision: 215502
- update to 1.1.3

* Sun Jan 22 2012 spuhler <spuhler> 1.2.1-1.mga2
+ Revision: 199766
- upgrade to 1.2.1

* Thu Jan 12 2012 spuhler <spuhler> 1.2.0-1.mga2
+ Revision: 195152
- upgrade to 1.2.0

* Thu Dec 29 2011 spuhler <spuhler> 1.1.3-1.mga2
+ Revision: 188765
- upgrade to 1.1.3

* Sat Dec 03 2011 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 175732
- upgrade to 1.1.1

* Tue Nov 15 2011 spuhler <spuhler> 1.1.0-1.mga2
+ Revision: 167886
- upgrade to 1.1.0
  Spec file pearized

* Mon Jul 11 2011 spuhler <spuhler> 1.0.3-1.mga2
+ Revision: 122042
- imported package php-pear-PHPUnit_Selenium

